
/* begin file 0-SiteLayout.css */
html, body {
    height:100%;
    width:100%;
    padding:0;
    margin:0;
    background:#EEEEEE;
}

* { 
    box-sizing: border-box; 
}

div.PageWrap {
    width:100%;
    min-height:100%;
    background: #FFF;

    display:flex;
    flex-direction:column;  
    justify-content:center;
    align-items:center;
}

main, footer, header {
    padding:0;
    margin:0;
    width:100%;
    display:flex;
    flex-direction:column;
}


main {
    flex: 1;
}



.MainWrapper {
    display:flex;
    flex-direction:column;
    width:100%;
    max-width:100%;
    align-items:center;
    flex:1;
}

.MainContent {
    min-width:58%;
    max-width:1280px;
    width:100%;
    flex:1;
    padding:var(--page_pad);
    
    /* display:grid; */
    /* grid-template-columns: repeat(16, 6.25%); */
    /* grid-template-rows:auto; */
}
.HeaderWrapper {
    display:flex;
    flex-direction:column;
    width:100%;
    max-width:100%;
    align-items:center;
}

.HeaderContent {
    min-width:58%;
    max-width:1280px;
    width:100%;
}
.FooterWrapper {
    display:flex;
    flex-direction:column;
    width:100%;
    max-width:100%;
    align-items:center;
}

.FooterContent {
    min-width:58%;
    max-width:1280px;
    width:100%;
}
/* end file 0-SiteLayout.css */



/* begin file 1-SiteStyle.css */

html, body, main, header, footer {
    background: #ddd;
    font-size:1.1rem;
}


.MainContent {
    background:white;
}

.BlockForm textarea {
    min-width: max(13ch,40%);
    width: min(75ch,80%);
    max-width:95%;
    resize:both !important;
}
/* end file 1-SiteStyle.css */



/* begin file 2-BlogContent.css */

.BlogSection {
    max-width:55ch;
}
.BlogSectionSmall {
    max-width:45ch;
}
.BlogCentered {
    margin-left:auto;
    margin-right:auto;
}

.BlogExtraWide {
    max-width:80ch;
}
/* end file 2-BlogContent.css */



/* begin file 3-Global.css */

hr.HalfCentered {
    width:50%;
    margin: default auto;
}

.FullWidth {
    margin-left: var(--page_pad_neg);
    margin-right: var(--page_pad_neg);
}
.FillTop {
    margin-top: var(--page_pad_neg);
}
.FillBottom {
    margin-bottom: var(--page_pad_neg);;
}
/* end file 3-Global.css */



/* begin file 3-vars.css */


html {
    --color_blue: #00A;
    --color_blue_rgb: 0, 0, 255;
    --color_blue_very_bright: rgb(139, 193, 255);
    --color_blue_bright: #00F;
    --color_blue_dark: #005;
    --color_blue_very_dark: #002;
    --color_black: #112;
    --color_black_rgb: 17, 17, 34;
    --color_black_dark:#111;
    --color_white: white;
    --color_white_soft: #FaFaFa;
    --color_yellow: #FFD700;
    --color_yellow_dim:#dbac10;
    --color_orange: #FFD700;
    --color_orange_rgb: 255, 215, 0;
    --color_orange_dark:#EFE700;


    --min_section_height: 20rem;

    --page_pad: 0.5rem;
    --page_pad_neg: calc(-1 * var(--page_pad));
}
/* end file 3-vars.css */



/* begin file CodeStyle.css */

code {
    background: rgb(0, 0, 0, 0.1);
}
pre > code {
    display:block;
    max-height:50em;
    overflow:scroll;
    padding:1ch;
    max-width:100%;
}
pre {
    max-width: 100%;
}
/* end file CodeStyle.css */
